import request from '@/utils/request'

// 查询访客登记记录列表
export function listVisitorRecord(query) {
  return request({
    url: '/base/visitorRecord/list',
    method: 'get',
    params: query
  })
}

// 查询访客登记记录详细
export function getVisitorRecord(id) {
  return request({
    url: '/base/visitorRecord/' + id,
    method: 'get'
  })
}

// 新增访客登记记录
export function addVisitorRecord(data) {
  return request({
    url: '/base/visitorRecord',
    method: 'post',
    data: data
  })
}

// 修改访客登记记录
export function updateVisitorRecord(data) {
  return request({
    url: '/base/visitorRecord',
    method: 'put',
    data: data
  })
}

// 删除访客登记记录
export function delVisitorRecord(id) {
  return request({
    url: '/base/visitorRecord/' + id,
    method: 'delete'
  })
}
